2009-11-25  Daniel Morgan  <monodanmorg@yahoo.com>

	* System.Data.OracleClient/OracleParameter.cs: add
	parameter support for LONG RAW and RAW data types

	* System.Data.OracleClient.Oci/OciDefineHandle.cs: flush
	extra assigning of types

2009-11-21  Daniel Morgan  <monodanmorg@yahoo.com>

	* System.Data.OracleClient/OracleParameter.cs: clean up

2009-11-21  Daniel Morgan  <monodanmorg@yahoo.com>

	* System.Data.OracleClient/OracleParameter.cs:
		- if programmer explicitly sets the Size property,
		do not override the size later if the Value property
		is set for character data.
		- for character and numeric data types, output and 
		return parameters were not allocated memory.  Also,
		input/output parameters need to allocate memory 
		based on Size because the output can be bigger than
		the input after an execute.

	* Test/TestOracleClient.cs: Data Adapter Test 2 is failing 
	for NET_2_0 profile.

2009-11-19  Daniel Morgan  <monodanmorg@yahoo.com>

	* System.Data.OracleClient/OracleConnection.cs
	* System.Data.OracleClient/OciGlue.cs
	* System.Data.OracleClient.Oci/OciCalls.cs
	* System.Data.OracleClient.Oci/OciServiceHandle.cs
	* System.Data.OracleClient.Oci/OciSessionHandle.cs: add method
		OpenWithNewPassword to OracleConnection for
		Oracle.DataAccess

2009-03-29  Veerapuram Varadhan  <vvaradhan@novell.com>

	* System.Data.OracleClient.dll.sources: Add new file
	
2008-09-24  Daniel Morgan <monodanmorg@yahoo.com>

	* Test/testblob.cs
	* Test/TestOracleClient.cs: update tests for parameter type of blob

	* System.Data.OracleClient/OracleLob.cs: position was never
	being reset to the offset causing the reading of a Blob to
	be out of range

	* System.Data.OracleClient/OracleParameter.cs: fixes for 
	character and blob types

2008-09-16  Daniel Morgan <monodanmorg@yahoo.com>

	* System.Data.OracleClient/OracleBFile.cs: do not
	throw a NotImplementedException in internal constructor

2008-09-16  Daniel Morgan <monodanmorg@yahoo.com>

	* Test/TestOracleClient.cs: add tests
	for TIMESTAMP Input, Output, InputOutput, Return 
	parameters and handle DBNull.Value too

	* System.Data.OracleClient/OracleCommandBuilder.cs
	* System.Data.OracleClient/OracleDataAdapter.cs: cleanup warnings
	for default profile

	* System.Data.OracleClient.Oci/OciDateTimeDescriptor.cs
	* System.Data.OracleClient/OracleParameter.cs: fix parameters
	for TIMESTAMP Input, Output, InputOutput, Return
	parameters and handle DBNUll.Value via indicator = -1
	However, TIMESTAMP WITH TIMEZONE and TIMESTAMP WITH LOCAL TIMESTAMP
	not tested.

2008-09-14  Daniel Morgan <monodanmorg@yahoo.com>

	* System.Data.OracleClient/OracleParameter.cs: fixes
	for OracleType.Blob parameters.  Also some case statements
	not properly tabbed.

2008-09-14  Daniel Morgan <monodanmorg@yahoo.com>

	* Test/TestOracleClient.cs: add tests for parameters
	of oracle type CLOB, add tests for setting oracle type
	directly or inferred via the value, and 
	clean up compile warnings

	* System.Data.OracleClient/OracleParameter.cs: fix
	for handling parameters of oracle type CLOB for
	Input, Output, and Return.  InputOutput is not supported.
	And handle CLOB parameters that are DBNull.Value or
	their value length is zero.

2008-09-13  Daniel Morgan <monodanmorg@yahoo.com>

	* System.Data.OracleClient/OracleConnection.cs: add stubs
	for method GetSchema which is part of NET_2_0, and clean up warnings

	* System.Data.OracleClient/OracleCommand.cs
	* ystem.Data.OracleClient/OracleParameter.cs
	* System.Data.OracleClient/OracleBFile.cs
	* System.Data.OracleClient.Oci/OciHandle.cs: clean up warnings

	* System.Data.OracleClient.Oci/OciDescriptorHandle.cs
	* System.Data.OracleClient.Oci/OciDefineHandle.cs: make methods internal

2008-09-13  Daniel Morgan <monodanmorg@yahoo.com>

	* Test/TestOracleClient.cs: add test for LONG (long varchar)
	testing paramters for Input, Output, 
	InputOutput, and ReturnValue and
	situations when any of these could be DBNull.Value

	* System.Data.OracleClient/OracleParameter.cs: fix
	handling of parameters LONG (long varchar).  However,
	it probably would be better to implement LONG using
	piecewise operation.  Also, remove old code.

2008-09-10  Daniel Morgan <monodanmorg@yahoo.com>

	* Test/TestOracleClient.cs: fix typo,
	  enable more test,
          Tests pass for parameters for Character, Number, and Date
	  for Input, Output, InputOutput, and ReturnValue and
	  situations when any of these could be DBNull.Value

	* System.Data.OracleClient/OracleParameter.cs: fix
	handling of parameters for character, number, and date
	types.  Need to redo all the other types based on the above.

	* System.Data.OracleClient.Oci/OciDefineHandle.cs: rename private
	method DefineLong to DefineLongVarChar

2008-09-06  Daniel Morgan <monodanmorg@yahoo.com>

	* Test/TestOracleClient.cs: get oracle connected tests
	going again
	
	*  System.Data.OracleClient.Oci/OciDefineHandle.cs
	* System.Data.OracleClient/OracleDataReader.cs
	* System.Data.OracleClient/OracleCommand.cs: fix character
	field value for a reader that was retrieved from a REF CURSOR.
	It was failing due to OCI_INVALID_HANDLE - resolve the error
	by passing a connection object which has a valid environment
	handle.

	* System.Data.OracleClient.Oci/OciCalls.cs: correct 
	call to OCIDefineByPos

	* System.Data.OracleClient/OracleParameter.cs: better way to
	determine if the input value Is Null instead of using reflection.
	Flush - Re-arraning how variables are being bound.

	* System.Data.OracleClient/OciGlue.cs: add function
	to convert OCI Return / Error Status Code to a String Description
 
	* System.Data.OracleClient.Oci/OciErrorHandle.cs: better
	error handling

2008-09-04  Daniel Morgan <monodanmorg@yahoo.com>

	* System.Data.OracleClient/OracleDataReader.cs: return true
	in NextResult if another result	

2008-09-04  Daniel Morgan <monodanmorg@yahoo.com>
	
	* System.Data.OracleClient/OracleCommand.cs: removed AssertNoDataReader
	because oracle allows multiple result sets and has since .NET 1.0,
	fix bug where REF CURSOR would not work for ExecuteReader or
	filling a DataSet via an OracleDataAdapter.  The REF CURSOR is used to
	populate the DataSet.

	* System.Data.OracleClient/OracleDataReader.cs: fix for getting
	next result set; implement NET_2_0 methods 
	GetProviderSpecificFieldType,
	GetProviderSpecificValuee, 
	GetProviderSpecificValue; and validate the reader is open
	before allowing a Read or NextResult, otherwise, throw
	an InvalidOperationException

	* System.Data.OracleClient/OracleParameter.cs: fix for
	getting one or more REF CURSOR out parameters if
	ExecuteReader was called. 

	* System.Data.OracleClient.Oci/OciErrorHandle.cs
	* System.Data.OracleClient.Oci/OciHandle.cs: add addiional method
	for getting error, such as, INVALID_HANDLE being passed to OCI

2008-08-27  Daniel Morgan <monodanmorg@yahoo.com>

	* System.Data.OracleClient/OracleConnectionStringBuilder.cs: modified -
	add missing connection options, correct case of some connection options,
	added dictionary for mapping
	defaults, for Item this indexer needs to return a default
	for a valid keyword if it does not exist in the dictionary,
	must override the Keys and Values collection to return all keys
	and values whether or not they exist in the dictionary and if
	they do not then return a default value for Values

2008-08-26  Daniel Morgan <monodanmorg@yahoo.com>

	* System.Data.OracleClient/OracleParameter.cs
	* System.Data.OracleClient.Oci/OciStatementHandle.cs
	* System.Data.OracleClient.Oci/OciDefineHandle.cs: fix bug
	for GetOracleLob in OracleDataReader that was created
	via a REF CURSOR.  Bug occurred because the cursor when created
	did not have a ServiceContext - this was solved by passing
	the connection in which did.  Fixes bug#350408.  In OracleParameter, also
	show the data type that is not implemented.

	* Test/testblob.cs
	* Test/TestOracleClient.cs: updated tests

	* Test/refcursortest.cs: added ref cursor test with blob

2008-08-25  Daniel Morgan <monodanmorg@yahoo.com>

	* System.Data.OracleClient/OracleCommand.cs
	* System.Data.OracleClient.Oci/OciHandle.cs
	* System.Data.OracleClient.Oci/OciRowIdDescriptor.cs: fix
	bug 378470 by fixing method ExecuteOracleNonQuery 
        by getting the Universal ROWID and
	returning it as an output parameter OracleString.
        This will only work for Oracle 9i clients and above.

2008-08-23  Daniel Morgan <monodanmorg@yahoo.com>

	* System.Data.OracleClient.dll.sources: added 
	files to build: 
           OracleClientFactory.cs
           OracleConnectionStringBuilder.cs

	* System.Data.OracleClient/OracleClientFactory.cs: added
	method to file: DbConnectionStringBuilder and modified
	CreateDataSourceEnumerator to return a null

	* System.Data.OracleClient/OracleConnectionStringBuilder.cs: add
	new file

2008-08-20  Daniel Morgan <monodanmorg@yahoo.com>

	* System.Data.OracleClient/OracleConnection.cs: allow 
	the use of a connection string which allows a
	TNS network description that is parentheses delimited
	like the following which has the hostname, port, and
	service name without requiring use of a TNSNAMES.ORA
	file.

User ID=SCOTT;Password=TIGER;Data Source=(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST=192.168.1.101)(PORT=1521))(CONNECT_DATA=(SERVER=DEDICATED)(SERVICE_NAME=TESTDB)))

2008-05-02  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Data.OracleClient_test.dll.sources: Added
	OracleConnectionTest.cs, OracleDataAdapterTest.cs and
	OracleTimeSpanTest.cs.

2007-06-06  Nagappan A  <anagappan@novell.com>

	* System.Data.OracleClient_test.dll.sources: Added
	System.Data.OracleClient/OracleParameterCollectionTest.cs

2006-10-17	Leszek Ciesielski <skolima@gmail.com>

	* System.Data.OracleClient_test.dll.sources:
	* System.Data.OracleClient_test_default.dll.config.example:
	* README.tests: integrated the Mainsoft test suite

2006-10-02	Leszek Ciesielski <skolima@gmail.com>

	* README.tests : added information about net_2_0 profile.

2006-09-26	Boris Kirzner <borisk@mainsoft.com>

	* run-tests.test.bat: log files naming fix.

2006-09-12	Boris Kirzner <borisk@mainsoft.com>

	* run-tests.test.bat: small fixes for TARGET_JVM test scripts.

2006-09-13	Leszek Ciesielski <skolima@gmail.com>

	* OracleCommand.cs
	* OracleParameter.cs : fix for bug 77592

2006-09-12	Boris Kirzner <borisk@mainsoft.com>

	* run-tests.test.bat: rework logging for TARGET_JVM tests.

2006-09-12      Leszek Ciesielski <skolima@gmail.com>

        * OracleLob.cs : fix for bug 78898

2006-09-11	Leszek Ciesielski <skolima@gmail.com>

	* OracleCommand.cs : fix for bug 78765 and 79284
	* OracleParameter.cs : fix for bug 78509 and 79284
	* README.tests : New : information about running on-line tests from
	Test/System.Data.OracleClient
	* System.Data.OracleClient_test_default.dll.config.example : New : Example configuration
	for	on-line tests from Test/System.Data.OracleClient
        * OracleDataReader.cs : fix for bug 79284
        * OracleConnection.cs : fix for bug 79284
        * OciDefineHandle.cs : fix for bug 79284

2006-08-21	Boris Kirzner	<borisk@mainsoft.com>

	* run-tests.test.bat: fixes for NET_2_0 tests run.

2006-07-14  Senganal T  <tsenganal@novell.com>

	* OraclePermission.cs : 2.0 Api fixes.

2006-03-21	Boris Kirzner <borisk@mainsoft.com>
	* Mainsoft.Data.Jdbc.Providers.jvm: added TARGET_JVM directory
	* System.Data.OracleClient.vmwcsproj: added OracleProvider.cs

2006-03-13 Boris Kirzner <borisk@mainsoft.com>
	* run-tests.bat, run-tests.test.bat: added batch files for automated testing
	support for TARGET_JVM.

2006-03-10  Senganal T  <tsenganal@novell.com>

	* System.Data.OracleClient.Oci/OciStatementHandle.cs : Get StatementType as a ushort value.
	* System.Data.OracleClient.Oci/OciParameterDescriptor.cs : Get DataType as a ushort value.

2006-01-02  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleConnection.cs: dispose of the
	connection string and other fields

	* Test/TestOracleClient.cs: tests for Intergrated Security
	and Persist Secuirty Info connection string parameters

2006-01-01  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleConnection.cs: implement
	support for connection parameter PERSIST SECURITY INFO and
	correct what Clone() does

2005-12-20  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleConnectionPoolManager.cs
	* System.Data.OracleClient/OracleConnectionPool.cs
	* System.Data.OracleClient/OracleConnection.cs
	* System.Data.OracleClient/OciGlue.cs
	* System.Data.OracleClient.Oci/OciEnvironmentHandle.cs
	* System.Data.OracleClient.Oci/OciErrorHandle.cs
	* System.Data.OracleClient.Oci/OciServiceHandle.cs
	* System.Data.OracleClient.Oci/OciSessionHandle.cs: modified
		- support Integrated Security which is external authentication
		- dispose of OCI handles properly to prevent SEGSIGV during finalization
		at application exit

2005-12-19  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleConnectionPoolManager.cs
	* System.Data.OracleClient/OracleConnectionPool.cs
	* System.Data.OracleClient/OracleConnection.cs: for connection pooling, need to
	dispose of any connection pools properly otherwise a SEGSIGV may happen trying
	to detach from the server during finalization at exit of app

	* System.Data.OracleClient/OracleDataReader.cs: need to make sure statement and command
	exists during dispose because they are set to null when closed

2005-12-13  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleParameter.cs: free
	unmanaged resources after update of values

2005-12-13  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient.Oci/OciErrorHandle.cs patch
	from  "Hubert FONGARNAND" <informatique.internet@fiducial.fr>
	- fix error handling for non-English locales.  Bug# 76623.

2005-12-13  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleParameter.cs: patch
	from  "Hubert FONGARNAND" <informatique.internet@fiducial.fr>
	- fix Timestamp when filling a DataSet.  Bug# 76437.

2005-12-13  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleParameter.cs: patch
	from "Hubert FONGARNAND" <informatique.internet@fiducial.fr>
	- problems with OracleClob as input parameters
	  (when the input parameter is an OracleString,
	  mono crashes with a invalidcastexception)
    - problems with OracleDateTime.Null, OracleString.Null
      as input parameters (it works with DBNull.Value,
      but it fails with those parameters)

2005-12-11  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleCommand.cs: when
	binding the parameters, need to pass the parameter position

	* System.Data.OracleClient/OracleDataReader.cs: null the statement handle
	after close

	* System.Data.OracleClient/OracleParameter.cs: add support for an output
	parameter of Cursor to return an Oracle REF CURSOR as an OracleDataReader.
	Zsolt Petrény - Zsolt.Petreny at sensenet.hu helped contribute to this patch.

	* Test/TestOracleClient.cs: add tests for REF CURSOR

	* System.Data.OracleClient.Oci/OciHandle.cs:
	allow setting of the handle to free the previous handle if it existed

	* System.Data.OracleClient.Oci/OciCalls.cs: add OCI Bind functions
	to bind a parameter using its position instead of its name

	* System.Data.OracleClient.Oci/OciDataType.cs: add an OCI type of
	RSet for a REF CUROSR

	* System.Data.OracleClient.Oci/OciDataType.cs: add RSet (REF CURSOR)

	* System.Data.OracleClient.Oci/OciParameterDescriptor.cs: flush. REF
	is not an RSet

	* System.Data.OracleClient.Oci/OciStatementHandle.cs: set up the result set
	for a statement handle for a REF CURSOR

2005-10-16  Gert Driesen <drieseng@users.sourceforge.net>

	* OracleException.cs: Pass message to base ctor, thereby avoiding
	need to override Message property (and fixing API mismatch). Fixed
	serialization by also adding code to si.
	* OracleCommandBuilder.cs: Removed usage of DataSysDescription to
	fix API mismatches.

2005-08-10  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleCommandBuilder.cs: update
	based on changes Suresh did to OdbcCommandBuilder, SqlCommandBuilder,
	and DbDataAdapter

	* System.Data.OracleClient/OracleParameter.cs
	* System.Data.OracleClient.Oci/OciHandle.cs
	* System.Data.OracleClient.Oci/OciCalls.cs
	* System.Data.OracleClient.Oci/OciDataType.cs
	* System.Data.OracleClient.Oci/OciParameterDescriptor.cs
	* System.Data.OracleClient.Oci/OciStatementHandle.cs
	* System.Data.OracleClient.Oci/OciDefineHandle.cs: with help
	from Hubert FONGARNAND <informatique.internet@fiducial.fr>
	implement TIMESTAMP support via OciDateTime descriptor

	* System.Data.OracleClient.dll.sources: add
	OciDateTimeDescriptor.cs to build

	* System.Data.OracleClient.Oci/OciDateTimeDescriptor.cs: add new
	file to support Oracle TIMESTAMP using OciDateTime descriptor

2005-07-25  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleParameter.cs: apply
	patch from
	Hubert FONGARNAND <informatique.internet@fiducial.fr>
	to tranmit an input paramter that is a date in a binary format
	instead of a character format to avoid culture
	dependent problems

2005-07-17  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleDataReader.cs:
	handle Owner (BaseSchemaName) correctly when
	looking up KeyInfo on a table

2005-07-17  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleDataReader.cs:
	should allow getting RecordsAffected property
	after Close

2005-07-17  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleCommandBuilder.cs:
	fix build for NET_2_0 profile

2005-07-17  Daniel Morgan <danielmorgan@verizon.net>

    * System.Data.OracleClient/OracleCommandBuilder.cs:
    implemented a working OracleCommandBuilder based on
    current SqlCommandBuilder

	* System.Data.OracleClient/OracleCommand.cs: added
	placeholder for DeriveParamters

	* System.Data.OracleClient/OracleDataReader.cs:
		- sometimes trying to get records affected
		  throws an exception
		- set BaseColumnName to the ColumnName
		  in the Schema table
		  if the command behavior is KeyInfo
		- only try to Read if there are rows to read

	* Test/OracleAdapterTest.cs: removed file
	because adapter tests added to TestOracleClient.cs

	* Test/TestOracleClient.cs: added tests
		- test ExecuteReader and records affected
		  executing a Non-Query
		- test Inserts/Updates/Deletes with a
		  DataSet, Data Adapter, and Command Builder

2005-07-10  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleCommand.cs: support
	CommandBehavior of SchemaOnly

	* System.Data.OracleClient/OracleCommandBuilder.cs:
	implement OracleCommandBuilder.  Does not work yet.

	* System.Data.OracleClient/OracleDataReader.cs:
	implement CommandBehavior of KeyInfo which is required
	for OracleCommandBuilder.  Correct data retreived via
	GetSchemaTable()

	* System.Data.OracleClient.Oci/OciParameterDescriptor.cs: add
	method to convert a OciDataType enum to OracleDataType enum

	* System.Data.OracleClient.Oci/OciStatementHandle.cs: allow
	execute of DescribeOnly to support CommandBehavior.SchemaOnly

	* Test/OracleAdapterTest.cs: add file for adapter tests

2005-07-08  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleParameter.cs
	* System.Data.OracleClient/OracleCommand.cs
	* System.Data.OracleClient/OracleDataReader.cs: support
	Output parameters.  Return and InputOutput are TODO.  Input
	already supported.  TODO for handling NULL indicator on Output params.

	* System.Data.OracleClient/OracleConnection.cs: remove
	compile warning

	* Test/TestOracleClient.cs: add tests for out parameters

2005-03-06  Daniel Morgan <danielmorgan@verizon.net>

	- Applied patch by Hubert FONGARNAND
	  <informatique.internet@fiducial.fr>
	- Had to re-format according to mono style
	  and remove Console.WriteLines
	- Made sure maxPoolSize and minPoolSize can be specified
	  via the connection string, and that pooling can be disabled
	- if the next opened connection surpasses the max pool size, it waits
	  for a specified time in milliseconds, if it did not
	  get another connection from the connection pool,
	  throw an InvalidOperationException for timeout expired

	* System.Data.OracleClient.dll.sources: add
	OracleConnectionPool.cs	to the build

	* System.Data.OracleClient/OracleConnection.cs: modified
	  - add connection pooling to OracleClient
	  - GetNlsInfo () was not using the passed handle, it was always
	  a session handle

	* System.Data.OracleClient/OracleConnectionPoolManager.cs
	* System.Data.OracleClient/OracleConnectionPool.cs: added
	new file for connection pooling in OracleClient

	* System.Data.OracleClient/Test/TestOracleClient.cs: added tests
	for OracleClient connection pooling

2005-02-25  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleParameter.cs: modified
	  - fix for input parameters for strings, dates,
	    CLOBs, and other types
	    to use OCIUnicodeToCharSet to convert
	    the string to bytes that are in Oracle's character set
	  - fix for input parameters for BLOBs to
	    use OciDataType.LongRaw instead of Long
	  - fix for Raw data type
	    thanks to coneto@shaw.ca (Curtis) which fixes bug #72416
	    and also fix "System.DataType"
	    to "System.DateTime" in InferOracleType

	* Test/TestOracleClient.cs: handle byte[] from OracleDataReader.GetValue()

2005-02-20  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleDataReader.cs: use ICovertible
	to convert data types for GetDateTime, GetInt64, GetInt32, GetFloat,
	GetDouble, GetDecimal.  Fixes bug #53391.

	* Test/TestOracleClient.cs: updated OracleClient tests for
	these functions

2005-02-20  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleCommand.cs: fix bug #72407
	ExecuteNonQuery with a SELECT SQL statement caused an error

2005-02-20  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleDateTime.cs: modified -
	added functions for converting the date format strings between
	OracleDateTime and DateTime based on
	the NLS_DATE_FORMAT on the Oracle server

	* System.Data.OracleClient/OracleConnection.cs: implement
	internal function GetNlsInfo to get NLS info from the Oracle server
	for the session or environment.  Also, implemented function
	GetSessionNlsDateFormat to get Oracle's NLS_DATE_FORMAT string

	* System.Data.OracleClient/OracleParameter.cs: for input parameters,
	fixed setting the parameter value to DBNull.Value and fixed the
	setting of a DateTime or OracleDateTime.  Tried to fix CLOBs/BLOBs, but
	it is still a TODO.

	* Test/TestOracleClient.cs: updated the parameters test

	* System.Data.OracleClient.Oci/OciHandle.cs: implement
	internal function SetAttributeString

	* System.Data.OracleClient.Oci/OciCalls.cs: add DllImport
	OCIBindByNameBytes so byte array can be passed instead of IntPtr
	for the value, add DllImport OCIDateTimeFromText,
	and added DllImport for OCINlsGetInfo to get NLS info,
	such as, NLS_DATE_FORMAT

	* System.Data.OracleClient.Oci/OciAttributeType.cs: added
	attribute for date format (not used)

	* System.Data.OracleClient.Oci/OciNlsServiceType.cs: added new file
	for an enum to hold NLS Service types which is to be used with GetNlsInfo()
	in OracleConnection

	* System.Data.OracleClient.dll.sources: added OciNlsServiceType.cs to
	the build

2005-02-07  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleDataReader.cs: add LONG
	to GetOracleValue to return an OracleString

	* System.Data.OracleClient.Oci/OciDefineHandle.cs: add
	LONG VARCHAR support.  See DefineLong ()
	for LAMESPEC about OCI

	* Test/TestOracleClient.cs: add LONG to Oracle tests

2005-01-09  Daniel Morgan <danielmorgan@verizon.net>

	* System.Data.OracleClient/OracleCommand.cs: set Command
	property on OciStatementHandle

	* System.Data.OracleClient/OracleConnection.cs: implement
	properties ServerVersion and DataSource, partially
	implement method ICloneable Clone, implement
	connection StateChange and InfoMessage events

	* System.Data.OracleClient/OciGlue.cs: add internal properties
	for OciSessionHandle and OciServerHandle

	* System.Data.OracleClient/OracleInfoMessageEventArgs.cs:
	implement

	* Test/TestOracleClient.cs: add new tests

	* System.Data.OracleClient.Oci/OciStatementHandle.cs:
	- add property for OracleCommand
	- patch from Joost Evertse <j.evertse@cloudseven.nl>
	  for handling OCI_SUCCES_WITH_INFO during Fetch which
	  indicates a Warning info message

	* System.Data.OracleClient.Oci/OciCalls.cs: added OCI call
	OCIServerVersion

	* System.Data.OracleClient.Oci/OciDefineHandle.cs: flush

2005-01-06  Daniel Morgan <danielmorgan@verizon.net>

	* Assembly/AssemblyInfo.cs: updated copyright

	* System.Data.OracleClient/OracleCommand.cs: add
	connection string parameter "Server" and
	removed "Database" to match .NET

	* System.Data.OracleClient/OracleLob.cs: handle
		BLOBs and CLOBs that are not null, but are empty

	* System.Data.OracleClient/OracleCommand.cs: started
		implementing Clone and ExecuteOracleScalar

	* System.Data.OracleClient/OracleDataReader.cs: modified
	- ms.net has GetDataTypeName return data types upper case
	- implement	GetFieldType
	- implement GetOracleValues, GetOracleValue,
	  GetOracleDateTime, GetOracleNumber, GetOracleString
	- modified GetOracleLob based on internal change
	- fix GetSchemaTable to return the correct "DataType"
		instead of always being System.String
	- GetValue should return Blobs as a byte array and Clobs
		as a string
	- Test/TestOracleClient.cs: updated Mono Oracle Tests
	- System.Data.OracleClient.Oci/OciCalls.cs: update
		DllImports for data type, actual data size, and iters

	* System.Data.OracleClient.Oci/OciDefineHandle.cs: modified
	- added properties for precision and field type
	- if ROWID is specified in a SELECT statement, handle
		the data type of OciDataType.RowIdDescriptor by just
		treating it as 10 byte string
	- do not free a HGlobal handle for a LOB since they do
		not get a HGlobal created for them
	- GetValue should return an OracleLob for BLOBs and CLOBs

	* System.Data.OracleClient.Oci/OciDataType.cs: make enum
	OciDataType to be uint

	* System.Data.OracleClient.Oci/OciParameterDescriptor.cs:
	- add function to convert Oracle's data type name
		to .net data type name

	* System.Data.OracleClient.Oci/OciRowIdDescriptor.cs: flush

2004-09-14  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Activate unit tests.
	* System.Data.OracleClient_test.dll.sources: New. Sources for unit
	tests.

2004-06-19  Gert Driesen <drieseng@users.sourceforge.net>

	* Makefile: added references to System.EnterpriseServices and
	System.Drawing assemblies
	* System.Data.OracleClient.dll: added Assembly/Consts.cs and
	System.Data.OracleClient/OracleMonthSpan.cs
	* OracleCommand.cs: added missing attributes, marked class sealed,
	fixed signature of ExecuteOracleScalar method
	* OracleCommandBuilder.cs: added missing attributes
	* OracleConnection.cs: marked class sealed, added missing attributes,
	stubbed missing propertie, methods and events
	* OracleDataAdapter.cs: added missing attributes, removed extra
	stubbed Dispose method
	* OracleDataReader.cs: stubbed missing methods
	* OracleDataTime.cs: fixed signature and implementation of operator
	* OracleException.cs: marked serializable, added serialization ctor
	* OracleParameter.cs: added missing attributes, marked extra methods
	private
	* OracleParameterCollection.cs: marked class sealed, added missing
	attributes
	* OracleString.cs: added missing methods, added missing operators

2004-05-27	Joerg Rosenkranz <joergr@voelcker.com>

	* System.Data.OracleClient/OracleCommandBuilder.cs:
		Fixed namespace.
	* System.Data.OracleClient.dll.sources:
		Added OracleCommandBuilder.cs.

2004-05-26	Joerg Rosenkranz <joergr@voelcker.com>

	* System.Data.OracleClient.Oci/OciDefineHandle.cs:
		Merged in a fix send by Rogerio Pereira Araujo
		<webmaster@cisnet.com.br>: Fixed a bug with NUMBER data type
		when no parameter is passed to OracleCommand.

2004-05-26  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.Data.OracleClient/OracleType.cs: fixed values for Int16 and
	Int32. Thanks to Artem Zabytin for reporting this.

2004-05-25  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.Data.OracleClient/OracleCommand.cs:
	* System.Data.OracleClient/OracleDataReader.cs:
	* System.Data.OracleClient.Oci/OciStatementHandle.cs: patch by Eduard
	Nesiba that implements autocommit behavior for non query statement
	which is out of transaction. In previous implementation changed rows
	stayed locked until client disconnect and hasRows proper settings.

2004-05-10	Joerg Rosenkranz <joergr@voelcker.com>

	* System.Data.OracleClient.Oci/OciCalls.cs:
		Added OCI calls OCICharSetToUnicode and OCIUnicodeToCharSet.
 	* System.Data.OracleClient.Oci/OciStatementHandle.cs:
 		Changed statement encoding from UTF8 to OCIUnicodeToCharSet.
 	* System.Data.OracleClient.Oci/OciDefineHandle.cs:
 		Changed string encoding from UTF8 to OCICharSetToUnicode.

2004-05-21  Umadevi S  <sumadevi@novell.com>
	* System.Data.OracleClient.Oci/OciDefineHandle.cs
	  Fixed bug 55030. Included checking for size


2004-05-20  Atsushi Enomoto <atsushi@ximian.com>

	* OracleCommandBuilder.cs : Added (stub).
	* OracleString.cs : Implemented missing bits.

2004-04-10  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.Data.OracleClient.Oci/OciDefineHandle.cs: added support for
	basic RAW data type. Patch by Eduard Nesiba.

2004-03-31  Joerg Rosenkranz  <joergr@voelcker.com>

	* System.Data.OracleClient.Oci/OciDefineHandle.cs:
		Changed DefineChar to allow retrieval of
		multibyte characters (i.e. german umlauts).
	* System.Data.OracleClient.Oci/OciStatementHandle.cs:
		OciDefineHandles are now disposed in the
		Dispose function.

2004-02-09  Joerg Rosenkranz  <joergr@voelcker.com>

	* System.Data.OracleClient/OracleLob.cs:
		Changed Erase() to call Erase(offset, amount)
		using zero based offset.

2004-01-26  Joerg Rosenkranz  <joergr@voelcker.com>

	* System.Data.OracleClient.Oci/OciCalls.cs:
		Changed binding of OciStmtPrepare from string
		to byte [].
	* System.Data.OracleClient.Oci/OciDefineHandle.cs:
		Character types are converted using UTF8 encoding.
	* System.Data.OracleClient.Oci/OciStatementHandle.cs:
		SQL statement to be prepared is converted to byte
		array using UTF8 encoding.

2004-01-09  Joerg Rosenkranz  <joergr@voelcker.com>

	* System.Data.OracleClient.Oci/OciCalls.cs:
		Added. It contains all external OCI calls which are
		removed from all other files.
	* System.Data.OracleClient/OciGlue.cs:
		Fix for #52699 (OCI not thread safe).
	* System.Data.OracleClient.Oci/OciHandle.cs:
		Introduced special handling for Bind, Define and
		Environment handles in FreeHandle. Revised the handling for
		other types. Minor change in Dispose.
		Replaced OCI calls.
	* System.Data.OracleClient.Oci/OciDescriptorHandle.cs:
		Special handling for Parameter handles in FreeHandle.
		Replaced OCI calls.
	* System.Data.OracleClient.Oci/OciDefineHandle.cs:
		Character types are converted using the DefaultEncoding.
		Replaced OCI calls.
	* System.Data.OracleClient/OracleCommand.cs:
		Dispose created OciStatementHandles.
	* System.Data.OracleClient/OracleDataReader.cs:
		Dispose used OciStatementHandle.
	* System.Data.OracleClient/OracleTransaction.cs:
		Dispose transaction handle.
	* System.Data.OracleClient.Oci/OciStatementHandle.cs:
		OCI_INVALID_HANDLE results in exception "Invalid handle."
		Replaced OCI calls.
	* System.Data.OracleClient.Oci/OciTransactionHandle.cs:
		Introduced DetachFromServiceContext which is called in Commit
		and Rollback (Fix for #52702).
	* System.Data.OracleClient/OracleParameter.cs:
	* System.Data.OracleClient.Oci/OciEnvironmentHandle.cs:
	* System.Data.OracleClient.Oci/OciErrorHandle.cs:
	* System.Data.OracleClient.Oci/OciLobLocator.cs:
	* System.Data.OracleClient.Oci/OciServerHandle.cs:
	* System.Data.OracleClient.Oci/OciServiceHandle.cs:
	* System.Data.OracleClient.Oci/OciSessionHandle.cs:
		Replaced OCI calls.

2003-12-16  Joerg Rosenkranz  <joergr@voelcker.com>

	* System.Data.OracleClient/OracleCommand.cs:
	  Fix for bug #52223 (CommandTimeout throws exception).

2003-04-17  Nick Drochak  <ndrochak@gol.com>

	* makefile.gnu: The Test dir does not contain a unit test.

2003-04-08  Miguel de Icaza  <miguel@ximian.com>

	* System.Data.OracleClient/OracleConnection.cs: Apply fix from
	David Pickens <dsp@rci.rutgers.edu>

2003-03-08  Tim Coleman <tim@timcoleman.com>
	* System.Data.OracleClient.Oci/OciRowIdDescriptor.cs:
	* list:
		New class added
	* System.Data.OracleClient/OciGlue.cs:
	* System.Data.OracleClient/OracleDataReader.cs:
	* System.Data.OracleClient/OracleLob.cs:
	* System.Data.OracleClient.Oci/OciBindHandle.cs:
	* System.Data.OracleClient.Oci/OciDataType.cs:
	* System.Data.OracleClient.Oci/OciDefineHandle.cs:
	* System.Data.OracleClient.Oci/OciDescriptorHandle.cs:
	* System.Data.OracleClient.Oci/OciErrorHandle.cs:
	* System.Data.OracleClient.Oci/OciHandle.cs:
	* System.Data.OracleClient.Oci/OciLobLocator.cs:
	* System.Data.OracleClient.Oci/OciParameterDescriptor.cs:
	* System.Data.OracleClient.Oci/OciServerHandle.cs:
	* System.Data.OracleClient.Oci/OciServiceHandle.cs:
	* System.Data.OracleClient.Oci/OciSessionHandle.cs:
		Small changes
	* System.Data.OracleClient/OracleBoolean.cs:
		Change Null definition
	* System.Data.OracleClient/OracleCommand.cs:
		More implementation, more toward getting ExecuteOracle*
	* System.Data.OracleClient/OracleConnection.cs:
		Add new handle properties
	* System.Data.OracleClient/OracleParameter.cs:
	* System.Data.OracleClient.Oci/OciStatementHandle.cs:
		Move binding operation to oracle parameter.

2003-03-04  Tim Coleman <tim@timcoleman.com>
	* System.Data.OracleClient.Oci/IOciDescriptorHandle.cs:
	* System.Data.OracleClient.Oci/IOciHandle.cs:
	* System.Data.OracleClient.Oci/OciDescriptorType.cs:
		Removed. These are no longer used.
	* System.Data.OracleClient.Oci/OciParameterDescriptor.cs:
		Add new class
	* list:
		Add System.Data.OracleClient.Oci/OciParameterDescriptor.cs
		Rem System.Data.OracleClient.Oci/IOciDescriptorHandle.cs
		Rem System.Data.OracleClient.Oci/IOciHandle.cs
		Rem System.Data.OracleClient.Oci/OciDescriptorType.cs
	* System.Data.OracleClient/OciGlue.cs:
		Move the OCIAttrGet* methods into OciHandle
	* System.Data.OracleClient/OracleDataReader.cs:
	* System.Data.OracleClient/OracleParameter.cs:
		Change the way that columns are bound and described
	* System.Data.OracleClient.Oci/OciBindHandle.cs:
	* System.Data.OracleClient.Oci/OciDefineHandle.cs:
	* System.Data.OracleClient.Oci/OciDescriptorHandle.cs:
	* System.Data.OracleClient.Oci/OciEnvironmentHandle.cs:
	* System.Data.OracleClient.Oci/OciErrorHandle.cs:
	* System.Data.OracleClient.Oci/OciHandle.cs:
	* System.Data.OracleClient.Oci/OciLobLocator.cs:
	* System.Data.OracleClient.Oci/OciServerHandle.cs:
	* System.Data.OracleClient.Oci/OciServiceHandle.cs:
	* System.Data.OracleClient.Oci/OciSessionHandle.cs:
	* System.Data.OracleClient.Oci/OciStatementHandle.cs:
	* System.Data.OracleClient.Oci/OciTransactionHandle.cs:
		All handles now derive from OciHandle, and these classes
		have been rewritten as such.  Also attempted to implement
		the Dispose () methods for these classes.
	* System.Data.OracleClient.Oci/OciHandleType.cs:
		Add descriptor types into here because handles and
		descriptors are used in many of the same OCI functions.

2003-02-26  Tim Coleman <tim@timcoleman.com>
	* System.Data.OracleClient/OracleConnection.cs:
		Rollback transactions when connection closes if they
		are open.
	* System.Data.OracleClient/OracleDataReader.cs:
		Implement GetOracleLob ()
	* System.Data.OracleClient/OracleLob.cs:
		Implement some of the details, like Read/Write/Seek
	* System.Data.OracleClient.Oci/OciBindHandle.cs:
		Remove debug message.
	* System.Data.OracleClient.Oci/OciDefineHandle.cs:
		Add LOB support.
	* System.Data.OracleClient.Oci/OciEnvironmentHandle.cs:
		Minor formatting changes
	* System.Data.OracleClient.Oci/OciLobLocator.cs:
		Huge amounts of code to make it work.  Lots of ugly
		OCI P/Invoke code.
	* Test/TestOracleClient.cs:
		Improve the LOBTest.

2003-02-24  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.Data.OracleClient/OracleMonthSpan.cs: fixed compilation.

2003-02-21  Tim Coleman <tim@timcoleman.com>
	* System.Data.OracleClient/OracleDateTime.cs:
	* System.Data.OracleClient/OracleInfoMessageEventArgs.cs:
	* System.Data.OracleClient/OracleInfoMessageEventHandler.cs:
	* System.Data.OracleClient/OracleMonthSpan.cs:
	* System.Data.OracleClient/OraclePermission.cs:
	* System.Data.OracleClient/OraclePermissionAttribute.cs:
	* System.Data.OracleClient/OracleTimeSpan.cs:
	* System.Data.OracleClient.Oci/IOciDescriptorHandle.cs:
	* System.Data.OracleClient.Oci/OciDescriptorHandle.cs:
	* System.Data.OracleClient.Oci/OciLobLocator.cs:
		New classes added.  Some based on .NET docs,
		others (internal) based on getting some LOB
		support (doesn't actually work yet).
	* list:
		Add new files
	* System.Data.OracleClient/OracleBFile.cs:
	* System.Data.OracleClient/OracleBinary.cs:
	* System.Data.OracleClient/OracleLob.cs:
	* System.Data.OracleClient/OracleNumber.cs:
	* System.Data.OracleClient/OracleString.cs:
		Change handling of NULL object based on new
		discovery.
	* System.Data.OracleClient/OracleCommand.cs:
	* System.Data.OracleClient/OracleDataReader.cs:
		Typo fix.
	* System.Data.OracleClient.Oci/OciDefineHandle.cs:
	* System.Data.OracleClient.Oci/OciEnvironmentHandle.cs:
		Add some code to handle LOBs.  Still more to
		come.
	* Test/TestOracleClient.cs:
		New test for LOB added.


2003-02-20  Tim Coleman <tim@timcoleman.com>
	* System.Data.OracleClient/OracleBFile.cs:
	* System.Data.OracleClient/OracleBinary.cs:
	* System.Data.OracleClient/OracleBoolean.cs:
	* System.Data.OracleClient/OracleLob.cs:
	* System.Data.OracleClient/OracleLobOpenMode.cs:
	* System.Data.OracleClient/OracleNumber.cs:
	* list:
		New class stubs added
	* System.Data.OracleClient/OracleCommand.cs:
	* System.Data.OracleClient/OracleDataReader.cs:
		Minor touch-ups
	* Test/TestOracleClient.cs:
		Add required Prepare () call in parameter test.

2003-02-18  Tim Coleman <tim@timcoleman.com>
	* System.Data.OracleClient/OciBindHandle.cs:
	* list:
		Add new class
	* System.Data.OracleClient/OracleCommand.cs:
		Add transaction logic for rollback/commit,
		attaching to oracle service context, and a
		couple of test cases.
		Add Parameter handling
	* System.Data.OracleClient/OracleDataReader.cs:
		Change GetValue call
	* System.Data.OracleClient/OracleParameter.cs:
		Make this work
	* System.Data.OracleClient/OracleType.cs:
		Add values to enum
	* System.Data.OracleClient.Oci/OciDefineHandle.cs:
		Add GetValue call which is used by data reader
	* System.Data.OracleClient.Oci/OciStatementHandle.cs:
		Add parameter logic
	* Test/TestOracleClient.cs:
		Add some new test cases.
	* System.Data.OracleClient/OracleTransaction.cs:
	* System.Data.OracleClient.Oci/OciTransactionHandle.cs:
	* Test/TestOracleClient.cs:
		Add transaction logic for rollback/commit,
		attaching to oracle service context


2003-02-17  Tim Coleman <tim@timcoleman.com>
	* Test/TestOracleClient.cs:
		Add OracleDataAdapter test.
	* System.Data.OracleClient/OracleDataAdapter.cs:
	* System.Data.OracleClient/OracleRowUpdatedEventArgs.cs:
	* System.Data.OracleClient/OracleRowUpdatedEventHandler.cs:
	* System.Data.OracleClient/OracleRowUpdatingEventArgs.cs:
	* System.Data.OracleClient/OracleRowUpdatingEventHandler.cs:
	* list:
		New classes added.
	* System.Data.OracleClient/OracleDataReader.cs:
	* System.Data.OracleClient.Oci/OciDefineHandle.cs:
		Add handling for number and date types in OracleDataReader
		GetValue

2003-02-16  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.OracleClient.Oci/OciStatementHandle.cs
	* System.Data.OracleClient.Oci/OciColumnInfo.cs
	* System.Data.OracleClient/OciGlue.cs
	* System.Data.OracleClient/OracleDataReader.cs: fixes
	  to display character data in SQL# command-line
	  and GTK# versions

	* Test/TestOracleClient.cs: updated test to
	  include reading data via the OracleDataReader

	* System.Data.OracleClient/OracleConnection.cs: removed
	  debug code

2003-02-13  Tim Coleman <tim@timcoleman.com>
	* System.Data.OracleClient.Oci/OciColumnInfo.cs:
	* System.Data.OracleClient.Oci/OciDataType.cs:
	* System.Data.OracleClient.Oci/OciDefineHandle.cs:
	* list:
		New classes added
	* System.Data.OracleClient/OciGlue.cs:
		Changes to AttrGet functions
	* System.Data.OracleClient/OracleCommand.cs:
	* System.Data.OracleClient/OracleDataReader.cs:
		Start some work on getting data reader going
	* System.Data.OracleClient.Oci/OciAttributeType.cs:
		Add DisplayName
	* System.Data.OracleClient.Oci/OciStatementHandle.cs:
		Add code to get schema for query, as well as
		define output values.

2003-02-12  Tim Coleman <tim@timcoleman.com>
	* System.Data.OracleClient/OracleException.cs:
	* System.Data.OracleClient.Oci/IOciHandle.cs:
	* System.Data.OracleClient.Oci/OciEnvironmentHandle.cs:
	* System.Data.OracleClient.Oci/OciErrorHandle.cs:
	* System.Data.OracleClient.Oci/OciErrorInfo.cs:
	* System.Data.OracleClient.Oci/OciHandle.cs:
	* System.Data.OracleClient.Oci/OciServerHandle.cs:
	* System.Data.OracleClient.Oci/OciServiceHandle.cs:
	* System.Data.OracleClient.Oci/OciSessionHandle.cs:
	* System.Data.OracleClient.Oci/OciStatementHandle.cs:
	* System.Data.OracleClient.Oci/OciTransactionHandle.cs:
	* list:
		New classes added.  This encapsulates the OCI
		functionality into Handle objects.
	* System.Data.OracleClient/OciGlue.cs:
		Move a lot of code into Handle classes.
	* System.Data.OracleClient/OracleCommand.cs:
	* System.Data.OracleClient/OracleConnection.cs:
	* System.Data.OracleClient/OracleTransaction.cs:
		Retrofit for changes in OciGlue.

2003-02-12  Daniel Morgan <danmorg@sc.rr.com>

	* README.TXT
    * System.Data.OracleClient/OciGlueLib_BCC_win32.make
    * System.Data.OracleClient/OciGlueLib_GCC_linux.make
    * System.Data.OracleClient/OciGlueLib_MSVC_win32.make
    * System.Data.OracleClient/ociglue.c
    * System.Data.OracleClient/ociglue.h
    * Test/Test.csproj
    * Test/Test.csproj.user: removed files because System.Data.OracleClient
    no longer uses a glue library

    * System.Data.OracleClient/TODOAttribute.cs: added file

    * System.Data.OracleClient/OracleCommand.cs
    * System.Data.OracleClient/OracleConnection.cs
    * System.Data.OracleClient/OciGlue.cs: modified -
    implement Disconnect and error handling (still need
    to create OracleException though)

    * Test/TestOracleClient.cs: clean up and accept
    connection parameters from command line

2003-02-11  Tim Coleman <tim@timcoleman.com>
	* System.Data.OracleClient.Oci/OciAttributeType.cs:
	* System.Data.OracleClient.Oci/OciCredentialType.cs:
	* System.Data.OracleClient.Oci/OciDescriptorType.cs:
	* System.Data.OracleClient.Oci/OciEnvironmentMode.cs:
	* System.Data.OracleClient.Oci/OciExecuteMode.cs:
	* System.Data.OracleClient.Oci/OciHandleType.cs:
	* System.Data.OracleClient.Oci/OciLobType.cs:
	* System.Data.OracleClient.Oci/OciPointerType.cs:
	* System.Data.OracleClient.Oci/OciSessionMode.cs:
	* System.Data.OracleClient.Oci/OciStatementLanguage.cs:
	* System.Data.OracleClient.Oci/OciStatementMode.cs:
	* System.Data.OracleClient.Oci/OciStatementType.cs:
	* System.Data.OracleClient.Oci/OciTransactionFlags.cs:
		New files for Oci namespace
	* list:
	* makefile.gnu:
		Update these files to fix linux build
	* System.Data.OracleClient/OciGlue.cs:
		Use OCI through P/Invoke directly, rename namespace
	* System.Data.OracleClient/OracleCommand.cs:
	* System.Data.OracleClient/OracleConnection.cs:
	* System.Data.OracleClient/OracleDataReader.cs:
	* System.Data.OracleClient/OracleParameter.cs:
	* System.Data.OracleClient/OracleParameterCollection.cs:
	* System.Data.OracleClient/OracleTransaction.cs:
		Retrofit these files for the changes in OciGlue.cs

2003-02-10  Tim Coleman <tim@timcoleman.com>
	* System.Data.OracleClient/OracleDataReader.cs:
	* System.Data.OracleClient/OracleParameter.cs:
	* System.Data.OracleClient/OracleParameterCollection.cs:
	* System.Data.OracleClient/OracleString.cs:
	* System.Data.OracleClient/OracleTransaction.cs:
	* System.Data.OracleClient/OracleType.cs:
		Added some implementation of these required objects.
	* list:
		Add new files to the build.
	* System.Data.OracleClient/OciGlue.cs:
	* System.Data.OracleClient/ociglue.c:
	* System.Data.OracleClient/ociglue.h:
		Add transaction logic.
	* System.Data.OracleClient/OracleCommand.cs:
	* System.Data.OracleClient/OracleConnection.cs:
		Add some more implementation

2003-02-08  Tim Coleman <tim@timcoleman.com>
	* System.Data.OracleClient/OciGlueLib_BCC_win32.make:
	* System.Data.OracleClient/OciGlueLib_MSVC_win32.make:
	change name of library to ociglue.dll
	* System.Data.OracleClient/ociglue.c:
	Use the "database" parameter as TNSNAME.
	* System.Data.OracleClient/OciGlue.cs:
	Change DllImport from "System.Data.OracleClient.ociglue.dll" to
	"ociglue".
	* System.Data.OracleClient/OciGlueLib_GCC_linux.make:
	added makefile for ociglue shared lib on Linux platform
	and compiler gcc.

2002-12-08  Daniel Morgan <danmorg@sc.rr.com>

	* list
	* makefile.gnu: added files for linux build

	* System.Data.OracleClient.build: added file
	for windows build

	* .cvsignore: added file for cvs to ignore files

	* System.Data.OracleClient/OciGlue.cs
	* System.Data.OracleClient/ociglue.h
	* System.Data.OracleClient/ociglue.c: code clean up
	and	better error handling

2002-12-05  Daniel Morgan <danmorg@sc.rr.com>

	* System.Data.OracleClient
	* System.Data.OracleClient/System.Data.OracleClient
	  added directory to mcs/class for the Oracle 8i
	  data provider

	* System.Data.OracleClient/OciGlue.cs
	* System.Data.OracleClient/OracleConnection.cs
	* System.Data.OracleClient/OracleCommand.cs: added
	files for the System.Data.OracleClient.dll assembly

	* System.Data.OracleClient/ociglue.c
	* System.Data.OracleClient/ociglue.h: added
	files for thte System.Data.OracleClient.gluelib.dll
	unmanaged c shared library

	* System.Data.OracleClient/TestOracleClient.cs: test
	the OracleClient data provider for Oracle 8i database

	* ChangeLog: added file

	* README.TXT: added file

	* System.Data.OracleClient/OciGlueLib_MSVC_win32.make:
	added makefile for ociglue shared lib on Win32 platform
	and compiler Visual C++ 7.0

	* System.Data.OracleClient/OciGlueLib_BCC_win32.make:
	added makefile for ociglue shared lib on Win32 platform
	and compiler Borland C++ 5.5

	* MonoOracleClient.csproj
	* MonoOracleClient.csproj.usr
	* MonoOracleClient.sln
	* MonoOracleClient.suo: added Visual Studio 1.0
	project files to build the
	assembly System.Data.OracleClient.dll
